<?php

namespace ShopManagerPro\Products\Fields\DTO\Basic;

enum BasicFieldKeys: string {
	case DESCRIPTION_LONG = 'descriptionLong';
	case DESCRIPTION_SHORT = 'descriptionShort';
	case GALLERY_IMAGE_IDS = 'galleryImageIds';
	case ID = 'id';
	case IMAGE_ID = 'imageId';
	case NAME = 'name';
	case PARENT_ID = 'parentId';
	case POST_STATUS = 'postStatus';
	case REGULAR_PRICE = 'regularPrice';
	case SALE_PRICE = 'salePrice';
	case SKU = 'sku';
	case STOCK_COUNT = 'stock';
	case STOCK_STATUS = 'stockStatus';
	case TAX_CLASS = 'taxClass';
	case TAX_STATUS = 'taxStatus';
	case TOTAL_SALES = 'totalSales';
}
